## org.openorb.net
Class ClientManagerImpl

    java.lang.Object
      |
      +--org.openorb.net.ClientManagerImpl

All Implemented Interfaces:
  ClientManager

public class ClientManagerImpl
extends java.lang.Object
implements ClientManager

Version:
  $Revision: 1.10 $ $Date: 2002/07/14 19:12:36 $
Author:
  Chris Wood

Constructor Summary
`ClientManagerImpl(ORB orb)`
`ClientManagerImpl(ORB orb, ServerManager serverManager)`

Method Summary
`ClientBinding[]` `create_bindings(Object obj, IOR ior)` Create bindings for a given IOR.
`ServerManager` `getServerManager()` Get a reference to the server manager.
`ORB` `orb()` Return an orb reference.
`boolean` `register_channel(ClientChannel channel)` Register a channel to join the work queue.
`void` `register_protocol(int profile_tag, ClientProtocol protocol)` Register a client protocol.
`void` `shutdown(boolean wait_for_complete, boolean kill_requests)` Shutdown the client side of the orb.
`void` `unregister_channel(ClientChannel channel)` Called when a channel enters the closed or paused state.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientManagerImpl

    public ClientManagerImpl(ORB orb)

### ClientManagerImpl

    public ClientManagerImpl(ORB orb,
                             ServerManager serverManager)

Method Detail

### orb

    public ORB orb()

  Return an orb reference.
  Specified by:
    `orb` in interface `ClientManager`

### getServerManager

    public ServerManager getServerManager()

  Get a reference to the server manager. This is used to find the adapter for local requests.
  Specified by:
    `getServerManager` in interface `ClientManager`
  Following copied from interface: `org.openorb.net.ClientManager`
  Returns:
    the server manager, or null if this is a client-only orb.

### create_bindings

    public ClientBinding[] create_bindings(Object obj,
                                           IOR ior)

  Create bindings for a given IOR.
  Specified by:
    `create_bindings` in interface `ClientManager`
  Following copied from interface: `org.openorb.net.ClientManager`
  Parameters:
    `obj` - target object.
    `ior` - IOR of target.
  Returns:
    array of client bindings.
  Throws:
    `INV_OBJREF` - the object reference is invalid.

### register_protocol

    public void register_protocol(int profile_tag,
                                  ClientProtocol protocol)

  Register a client protocol.
  Specified by:
    `register_protocol` in interface `ClientManager`

### register_channel

    public boolean register_channel(ClientChannel channel)

  Register a channel to join the work queue. This is called when the channel enters the open state.
  Specified by:
    `register_channel` in interface `ClientManager`

### unregister_channel

    public void unregister_channel(ClientChannel channel)

  Called when a channel enters the closed or paused state. Returns once all channel threads have completed their work cycles.
  Specified by:
    `unregister_channel` in interface `ClientManager`

### shutdown

    public void shutdown(boolean wait_for_complete,
                         boolean kill_requests)

  Description copied from interface: `ClientManager`
  Shutdown the client side of the orb.
  Specified by:
    `shutdown` in interface `ClientManager`
  Following copied from interface: `org.openorb.net.ClientManager`
  Parameters:
    `wait_for_complete` - true if the operation should not return until the client side is shut down.
    `kill_requests` - true if requests which are currently being processed should be killed.